# Ansible Collection - enbewe.forgejo

Collecion to configure forgejo git server.

## Playbooks

### enbewe.forgejo.deploy
Deploys the role `enbewe.forgejo.forgejo` to all hosts in the group `forgejo`.

## Roles

### enbewe.forgejo.forgejo
Deploys [Forgejo](https://forgejo.org/) through a podman container.
Additionally deploys an accompanying postgres database.

When configured the Forgejo instance is automatically connected with some OAuth2 provider,
to implement single-sign-on.

## Modules

### enbewe.forgejo.forgejo_oauth
Manages OAuth sources through the CLI of the forgejo server.
